/*
 * Content.java
 * Tomokazu ARITA
 * arita@obirin.ac.jp
 * Created on 2003/08/14, 5:34
 */

package org.hichart.h3code;

/**
 * @author Tomokazu ARITA (arita@obirin.ac.jp)
 * @version 0.1.0 2003/08/14
 */

public interface Content {
	
	
    /* codeɑ΂Reco^ */
    /**
     * Sets content string-data.   
     * @param code  content data 
     * @return true: if <code>code</code> is correct. 
     */
    public boolean setContent(String code);
   
    
    /* RecɊւ镶Ԃ */
    /**
     * Gets a content string-code.  
     * @return  string for the content. 
     */
    public String getContent();
    
    /* Recɑ΂鎯ʔԍݒ肷 */
    /**
     * Sets a ID number for this content. 
     * @param id  ID number
     * @return  true: if <code>id</code> is correct. 
     */
    public boolean setContentID(int id);
    
    /* Rec̎ʔԍԂ */
    /**
     * Gets the ID number tor this instance. 
     * @return ID number
     */
    public int getContentID();
    
    /* Rec̎ނݒ肷 */
    /**
     * Sets a kind of this content. For example, string, images, etc. 
     * @param kind  a kind of this instance. 
     * @return true: if <code>kind</code> is correct. 
     */
    public boolean setKindOfContent(int kind);
    
    /* Rec̎ނԂ */
    /**
     * Gets the kind of this content instance.  
     * @return the kind of this instence. 
     */
    public int getKindOfContent();
 
}
