/*
 * TargetManager.java
 * Tomokazu ARITA
 * arita@r.dendai.ac.jp
 * Created on 2003/11/17, 22:47
 */

//݂̃^[QbgZɊւĂ̏Ǘ
//ǉɂ邽HashSetŊǗD
//\[glȂTreeSetɕύXׂȂ

package org.hichart.h3code.gui;

import java.util.HashSet;

import org.hichart.h3code.Cell;

public class TargetManager {
    
    private HashSet targets = null;
    
    //RXgN^
    public TargetManager() {
        targets = new HashSet();
    }
    
    //RXgN^2
    public TargetManager(int initialCapacity) {
        targets = new HashSet(initialCapacity);
    }
    
    //^[QbgɂȂĂ邩ǂ
    public boolean isTarget(Cell cell){
        return targets.contains(cell);
    }
    
    //^[Qbgɒǉ
    public void addTarget(Cell cell){
        targets.add(cell);
    }
    
    //^[Qbg폜
    public void removeTarget(Cell cell){
        targets.remove(cell);
    }
    
    //^[QbgׂĕԂD
    public HashSet getTargets(){
        return targets;
    }
    
    public void removeALL(){
    	targets.clear();
    }
    
    
    
}
